﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ColumnHeadestInNestedGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            xdg.DataContext = Orders.GetData(6, 1, 6);
        }
    }
    
    public class Orders : PropertyChangedNotifier
    {
        private int id;

        public int ID
        {
            get { return id; }
            set { id = value; OnPropertyChagned("ID"); }
        }
        public static ObservableCollection<Orders> GetData(int points, int rangeStart, int rangeEnd)
        {
            ObservableCollection<Orders> data = new ObservableCollection<Orders>();
            Random r = new Random();
            for (int i = 0; i < points; i++)
            {
                if (i % 2 == 0)
                {
                    data.Add(new Orders
                    {
                        ID = i,
                        Children = OrderLine.GetData(1,1,1)
                    });
                }
                else
                {

                    data.Add(new Orders
                    {
                        ID = i,
                        Children = new ObservableCollection<OrderLine>()
                    });
                }

            }

            return data;
        }
        

        private ObservableCollection<OrderLine> children;

        public ObservableCollection<OrderLine> Children
        {
            get { return children; }
            set
            {
                children = value;
                OnPropertyChagned("Children");
            }
        }
    }

    public class OrderLine : PropertyChangedNotifier
    {
        private string _lineName;

        public string LineName
        {
            get { return _lineName; }
            set
            {
                _lineName = value;
                OnPropertyChagned("Name");
            }
        }

        public static ObservableCollection<OrderLine> GetData(int points, int rangeStart, int rangeEnd)
        {
            ObservableCollection<OrderLine> data = new ObservableCollection<OrderLine>();
            Random r = new Random();
            for (int i = 0; i < points; i++)
            {
                data.Add(new OrderLine
                {
                    LineName = "Name" + i
                });
                //data.Add(null);
            }

            return data;
        }
        
    }

    public class PropertyChangedNotifier : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChagned(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }	
				
}
